%define pkg_name    R
%define pkg_version 3.4.0
%define pkg_release 1%{?_dist_release}

Summary:     A language for data analysis and graphics
Summary(ja): データ解析・グラフィック化の言語
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License:     GPLv2
Group:       Applications/Edutainment
URL:         http://www.r-project.org

Source0:     ftp://cran.r-project.org/pub/R/src/base/R-3/%{name}-%{version}.tar.gz
# Source1:     R.desktop
# Patch0:      R-release.diff.gz

# To avoid 'make check error'
Patch1:      reg-tests-3.R.patch
Patch2:      reg-tests-3.Rout.save.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-c++
BuildRequires: gcc-gfortran libgfortran
BuildRequires: texinfo
%if %{?_dist_release} == "vl6"
# BuildRequires: tcl tk
BuildRequires: tcl85-devel tk85-devel
%endif
%if %{?_dist_release} >= "vl7"
BuildRequires: tcl-devel tk-devel
%endif
BuildRequires: libpng-devel libjpeg-turbo-devel libtiff-devel
BuildRequires: readline-devel ncurses-devel
BuildRequires: zlib-devel bzip2-devel xz-devel
BuildRequires: pcre-devel
BuildRequires: libSM-devel libX11-devel libICE-devel libXt-devel libXmu-devel
BuildRequires: cairo-devel pango-devel
BuildRequires: libicu-devel
BuildRequires: curl-devel
BuildRequires: texlive-common
BuildRequires: texlive-collection-basic
BuildRequires: texlive-collection-latexextra
BuildRequires: texlive-collection-fontsextra
%if %{?_dist_release} == "vl6"
BuildRequires: texlive-collection-texinfo
%endif
%if %{?_dist_release} >= "vl7"
BuildRequires: texlive-collection-plainextra
BuildRequires: texlive-collection-fontsrecommended
%endif
BuildRequires: java-devel

Requires: libgfortran
Requires: libicu
# Requires: tcl tk
%if %{?_dist_release} == "vl6"
Requires: tcl85 tk85
%endif
%if %{?_dist_release} >= "vl7"
Requires: tcl tk
%endif

Conflicts: R-devel < %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
'GNU S' - A language and environment for statistical computing and
graphics. R is similar to the award-winning S system, which was
developed at Bell Laboratories by John Chambers et al. It provides
a wide variety of statistical and graphical techniques (linear and
nonlinear modelling, statistical tests, time series analysis,
classification, clustering, ...).

R is designed as a true computer language with control-flow
constructions for iteration and alternation, and it allows users to
add additional functionality by defining new functions. 
For computationally intensive tasks, C, C++ and Fortran code
can be linked and called at run time.

%description -l ja
'GNU S' - 統計解析とグラフィックスのプログラミング言語と環境。
Rは、ベル研究所のJohn Chambersらが開発した輝けるS言語に似ており、
線形・非線型モデル、統計検定、時系列分析、クラスター分析など
幅広い統計解析・視覚化手法を提供する。
Rは、条件分岐や反復計算などの制御構造を持つ正真正銘のコンピュータ言語
として設計されており、ユーザが新たに関数を組み込むことが可能である。
また、計算量が多いときにはC、 C++、Fortranなどのコードとリンクさせて
使用することができる。

# %package devel
# Summary:          files for development of R packages.
# Summary(ja):      Rパッケージ開発用ファイル
# Group:            Development/Libraries
# Requires:         R = %{version}-%{release}

# %description devel
# Install R-devel if you are going to develop or compile R packages.

# This is just a stub package containing the documentation on
# "Writing R Extensions".  However, installing it will ensure that
# the build environment for R packages is correct.

# %description -l ja devel
# Rパッケージを開発したりコンパイルする場合には、このR-develを
# インストールします。R-exts.pdf ("Writing R Extensions": 英文)
# が含まれているだけのサブパッケージですが、正しくRパッケージを
# 開発するための助けになるでしょう。

%package -n libRmath
Summary:          standalone math library from the R project
Summary(ja):      単独で動作するRプロジェクトの数理ライブラリ
Group:            System Environment/Libraries

%description -n libRmath
A standalone library of mathematical and statistical functions derived
from the R project.  This packages provides the shared libRmath library.

%description -l ja -n libRmath
単独で動作するRプロジェクトの数理統計ライブラリで、libRmath.soという
共有ライブラリを提供する。

%package -n libRmath-devel
Summary:          standalone math library from the R project
Summary(ja):      libRmathの開発ライブラリ
Group:            Development/Libraries
Requires:         libRmath = %{version}-%{release}

%description -n libRmath-devel
A standalone library of mathematical and statistical functions derived
from the R project.  This packages provides the header files.

%description -l ja -n libRmath-devel
libRmathのヘッダファイル（Rmath.h）

%package -n libRmath-static
Summary: Static R Standalone math library
Summary(ja): libRmath の静的ライブラリ
Group: Development/Libraries
Requires: libRmath-devel = %{version}-%{release}

%description -n libRmath-static
A standalone library of mathematical and statistical functions derived
from the R project.  This package provides the static libRmath library.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q
# %patch0 -p1
%patch1
%patch2

cat > R.desktop <<EOF
[Desktop Entry]
Name=GNU R
Comment=A language for data analysis and graphics
TryExec=/usr/bin/R
Exec=/usr/bin/R
Icon=/usr/share/icons/logo.jpg
Terminal=true
Type=Application
Categories=Education;Science;
StartupNotify=false
EOF

%build
export R_PDFVIEWER="%{_bindir}/xdg-open"
export R_PRINTCMD="lpr"
export R_BROWSER="%{_bindir}/xdg-open"
export TZ="Asia/Tokyo"

%{configure} --enable-R-shlib --with-tcltk \
%if %{?_dist_release} == "vl6"
 --with-tcl-config=%{_libdir}/tclConfig85.sh \
 --with-tk-config=%{_libdir}/tkConfig85.sh
%endif

%{__make} %{?_smp_mflags}
(cd src/nmath/standalone; %{__make} %{?_smp_mflags})
LANG=C %{__make} check
%{__make} pdf

%install
%{make_install}
%{__make} install-pdf DESTDIR=${RPM_BUILD_ROOT}
%{__rm} -f ${RPM_BUILD_ROOT}%{_infodir}/dir
%{__rm} -f ${RPM_BUILD_ROOT}%{_infodir}/dir.old

# Install libRmath files
(cd src/nmath/standalone; %{make_install})

%{__mkdir_p} ${RPM_BUILD_ROOT}/etc/ld.so.conf.d
echo "%{_libdir}/R/lib" > \
     ${RPM_BUILD_ROOT}/etc/ld.so.conf.d/%{name}-%{_arch}.conf

# Fix lication of R_HOME_DIR in shell wrapper
%{__sed} -e "s@R_HOME_DIR=.*@R_HOME_DIR=%{_libdir}/R@" bin/R \
  > ${RPM_BUILD_ROOT}%{_libdir}/R/bin/R
%{__chmod} 755 ${RPM_BUILD_ROOT}%{_libdir}/R/bin/R
%{__sed} -e "s@R_HOME_DIR=.*@R_HOME_DIR=%{_libdir}/R@" bin/R \
  > ${RPM_BUILD_ROOT}%{_bindir}/R
%{__chmod} 755 ${RPM_BUILD_ROOT}%{_bindir}/R

# add R into menu
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/applications
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/icons
%{__cp} -a R.desktop ${RPM_BUILD_ROOT}%{_datadir}/applications/
%{__cp} -a doc/html/logo.jpg ${RPM_BUILD_ROOT}%{_datadir}/icons/

# move PDF manuals
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
%{__mv} ${RPM_BUILD_ROOT}%{_libdir}/%{name}/doc/manual/*.pdf \
 ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -p %{_syssbindir}/ldconfig

%postun -p %{_syssbindir}/ldconfig

%post -n libRmath -p %{_syssbindir}/ldconfig

%postun -n libRmath -p %{_syssbindir}/ldconfig


%files
%defattr(-, root, root)
%{_bindir}/R
%{_bindir}/Rscript
%{_libdir}/R
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_mandir}/man1/*
%{_docdir}/%{name}-%{version}/*
%{_sysconfdir}/ld.so.conf.d/*

# %files devel
# %defattr(-, root, root)
# %doc doc/manual/R-exts.pdf

%files -n libRmath
%defattr(-, root, root)
%{_libdir}/libRmath.so

%files -n libRmath-devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/Rmath.h

%files -n libRmath-static
%defattr(-, root, root)
%{_libdir}/libRmath.a


%changelog
* Tue May 02 2017 Toshiaki Ara <ara_t@384.jp> 3.4.0-1
- Updated to 3.4.0
- add Patch1 and Patch2 to avoid 'make check' error
- add export TZ="Asia/Tokyo" to avoid 'make check' error
- delete descrption about info

* Tue Apr 11 2017 Toshiaki Ara <ara_t@384.jp> 3.3.3-1
- Updated to 3.3.3

* Thu Nov 17 2016 Toshiaki Ara <ara_t@384.jp> 3.3.2-3
- use tcl-8.5/tk-8.5 for Vine6.5
  - BuildRequires to tcl85-devel/tk85-devel
  - Requires to tcl85/tk85

* Tue Nov 15 2016 Toshiaki Ara <ara_t@384.jp> 3.3.2-2
- merge SPEC file for Vine6
- drop devel package
- move PDF manuals to /usr/share/doc/R-%%{version}
- revert logo of menu item to logo.jpg

* Mon Oct 31 2016 Toshiaki Ara <ara_t@384.jp> 3.3.2-1
- Updated to 3.3.2

* Wed Jun 22 2016 Toshiaki Ara <ara_t@384.jp> 3.3.1-1vl7
- Updated to 3.3.1
- delete BuildRequires: texlive-collection-lang*

* Sat May 14 2016 Toshiaki Ara <ara_t@384.jp> 3.3.0-2vl7
- add BuildRequires: texlive-collection-lang*

* Tue May 03 2016 Toshiaki Ara <ara_t@384.jp> 3.3.0-1vl7
- Updated to 3.3.0
- add BuildRequires: pcre-devel xz-devel
- change logo of menu item to Rlogo.svg

* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 3.2.4-3
- correct SPEC file

* Thu Mar 17 2016 Toshiaki Ara <ara_t@384.jp> 3.2.4-2
- Updated to 3.2.4-revised

* Fri Mar 11 2016 Toshiaki Ara <ara_t@384.jp> 3.2.4-1
- Updated to 3.2.4
- fixed build error in src/extra/xz

* Fri Jan 01 2016 Toshiaki Ara <ara_t@384.jp> 3.2.3-2
- add BuildRequires: curl-devel
- add BuildRequires: libgomp

* Sun Dec 13 2015 Toshiaki Ara <ara_t@384.jp> 3.2.3-1
- Updated to 3.2.3

* Mon Nov 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-2
- rebuild with icu-56.1

* Mon Aug 17 2015 Toshiaki Ara <ara_t@384.jp> 3.2.2-1
- Updated to 3.2.2

* Wed Jul 15 2015 Toshiaki Ara <ara_t@384.jp> 3.2.1-2
- add configure options: --with-tcltk
- add BuildRequires: tcl-devel tk-devel
- add Requires: tcl tk

* Fri Jun 19 2015 Toshiaki Ara <ara_t@384.jp> 3.2.1-1
- Updated to 3.2.1

* Sat Apr 18 2015 Toshiaki Ara <ara_t@384.jp> 3.2.0-2
- add "LIBS=-lbz2" to configure option

* Fri Apr 17 2015 Toshiaki Ara <ara_t@384.jp> 3.2.0-1
- Updated to 3.2.0

* Fri Mar 13 2015 Toshiaki Ara <ara_t@384.jp> 3.1.3-1
- Updated to 3.1.3
- added BuildRequires: texlive-collection-fontsextra for Vine6
- changed option "make check-all" to "make check"
-   to avoid error in checking of mgcv package
- changed orders of BuildRequires

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-2
- rebuild with icu-54.1

* Sat Nov 01 2014 Toshiaki Ara <ara_t@384.jp> 3.1.2-1
- Updated to 3.1.2

* Fri Jul 11 2014 Toshiaki Ara <ara_t@384.jp> 3.1.1-1
- Updated to 3.1.1
- add BuildRequires: java-1.7.0-openjdk-devel for VineSeed

* Sat Apr 26 2014 Toshiaki Ara <ara_t@384.jp> 3.1.0-2
- add patch (2014-04-26)

* Fri Apr 11 2014 Toshiaki Ara <ara_t@384.jp> 3.1.0-1
- Updated to 3.1.0

* Fri Mar 07 2014 Toshiaki Ara <ara_t@384.jp> 3.0.3-1
- Updated to 3.0.3

* Tue Jan 07 2014 Toshiaki Ara <ara_t@384.jp> 3.0.2-4
- rebuild current VineSeed
- add patch (2014-01-06)

* Tue Dec 03 2013 Toshiaki Ara <ara_t@384.jp> 3.0.2-3
- add Requires: libicu

* Mon Sep 30 2013 Toshiaki Ara <ara_t@384.jp> 3.0.2-2
- combine spec files Vine6 and VineSeed
- correct the days of the week in changelog

* Fri Sep 27 2013 Toshiaki Ara <ara_t@384.jp> 3.0.2-1
- delete BuildRequires: texlive-collection-texinfo
- add BuildRequires: texlive-collection-plainextra
- add BuildRequires: texlive-collection-latexextra
- add BuildRequires: texlive-collection-fontsrecommended
-   for VineSeed

* Thu Sep 26 2013 Toshiaki Ara <ara_t@384.jp> 3.0.2-1
- Updated to 3.0.2

* Fri May 17 2013 Toshiaki Ara <ara_t@384.jp> 3.0.1-1
- Updated to 3.0.1
- add BuildRequires: java-1.6.0-openjdk-devel

* Thu Apr 04 2013 Toshiaki Ara <ara_t@384.jp> 3.0.0-1
- Updated to 3.0.0

* Mon Mar 04 2013 Toshiaki Ara <ara_t@384.jp> 2.15.3-1
- Updated to 2.15.3
- use BuildRequires libjpeg-turbo-devel instead of libjpeg-devel
- use BuildRequires ncurses-devel instead of libtermcap-devel

* Mon Oct 29 2012 Toshiaki Ara <ara_t@384.jp> 2.15.2-1
- Updated to 2.15.2

* Sat Sep 08 2012 Toshiaki Ara <ara_t@384.jp> 2.15.1-2
- changed group to Applications/Edutainment
- added R to menu

* Mon Jun 25 2012 Toshiaki Ara <ara_t@384.jp> 2.15.1-1
- Updated to 2.15.1

* Sat Mar 31 2012 Toshiaki Ara <ara_t@384.jp> 2.15.0-1
- Updated to 2.15.0

* Thu Mar 01 2012 Toshiaki Ara <ara_t@384.jp> 2.14.2-1
- Updated to 2.14.2

* Sat Dec 24 2011 Toshiaki Ara <ara_t@384.jp> 2.14.1-1
- Updated to 2.14.1

* Tue Nov 01 2011 Toshiaki Ara <ara_t@384.jp> 2.14.0-1
- Updated to 2.14.0
- add BuildRequires: texlive-collection-fontsextra

* Thu Oct 27 2011 Toshiaki Ara <ara_t@384.jp> 2.13.2-1
- Updated to 2.13.2
- add BuildRequires: texlive-common
- use texlive instead of tetex on Vine5 because of failure to create R-exts.pdf
- removed --enable-R-shlib option to %%configure on Vine5 because of segmentation fault

* Sat Sep  3 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.13.1-2
- synchronized to VinePlus/5 package
  * Sat Jul 09 2011 Toshiaki Ara <ara_t@384.jp> 2.13.1-1vl5
  - Updated to 2.13.1
  * Wed Apr 14 2011 Toshiaki Ara <ara_t@384.jp> 2.13.0-1vl5
  - Updated to 2.13.0
  * Wed Mar 02 2011 Toshiaki Ara <ara_t@384.jp> 2.12.2-1vl5
  - Updated to 2.12.2

* Sun Feb 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.12.1-3
- add BuildRequires: libicu-devel

* Fri Feb 25 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.1-2
- synchronized to VinePlus/5 package
  * Tue Dec 21 2010 Toshiaki Ara <ara_t@384.jp> 2.12.1-1vl5
  - Updated to 2.12.1
- added --enable-R-shlib option to %%configure
- added static subpackage
- use BR: texlive instead of tetex on VineSeed 

* Sun Sep 26 2010 Shu KONNO <owa@bg.wakwak.com> 2.11.0-3
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Apr 24 2010 Toshiaki Ara <ara_t@384.jp> 2.11.0-2vl5
- recompiled because tcl/tk were not linked 

* Fri Apr 23 2010 Toshiaki Ara <ara_t@384.jp> 2.11.0-1vl5
- Updated to 2.11.0
- added Requires: libgfortran

* Tue Dec 15 2009 Toshiaki Ara <ara_t@384.jp> 2.10.1-1vl5
- Updated to 2.10.1

* Fri Nov 06 2009 Toshiaki Ara <ara_t@384.jp> 2.10.0-3vl5
- patched to 2.10.0

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.0-2
- spec in UTF-8

* Tue Oct 27 2009 Toshiaki Ara <ara_t@384.jp> 2.10.0-1vl5
- Updated to 2.10.0

* Wed Sep 23 2009 Toshiaki Ara <ara_t@384.jp> 2.9.2-1vl5
- Updated to 2.9.2
- deleted BuildRequires: lapack-devel blas-devel
- rewrote SPEC file

* Thu Aug 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1:2.5.1-0vl1
- Updated to 2.5.1
- added BuildRequires: gcc-gfortran for VineSeed
- added BuildRequires: lapack-devel blas-devel
v- fixed %preun script

* Wed Dec 20 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp> 1:2.4.1-0vl1
- Updated to 2.4.1
- Added INFO option
- Exclude Japanese Rprofile.site

* Mon Oct 30 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 2.4.0

* Mon Oct 2 2006 Martyn Plummer <plummer@iarc.fr> 1:2.3.1-2
- Added optimization flags

* Tue Jun  6 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp> 1:2.3.1-0vl1
- Packaged for VineLinux3.2

* Tue May  9 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp> 1:2.3.0-0vl2
- Use JAVA_HOME for R_JAVA_LD_LIBRARY_PATH 

* Mon May  8 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp> 1:2.3.0-0vl1
- Packaged for VineLinux3.2
- Slipped texinfo
- Fixed preun error
- Preset Japanese fonts

* Thu Jan 12 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Packaged for VineLinux3.2

* Tue Jan 3 2006 Martyn Plumer <plummber@iarc.fr> 1:2.2.1-1
- Restored CAPABILITIES file lost in 2.2.1beta

* Mon Dec 12 2005 Martyn Plummer <plummer@iarc.fr> 1:2.2.1beta-1
- Configure uses --without-blas by default.
- Install pdf manuals.
- All toplevel documentation files are installed into _libdir/R
  as they may be required by R (qv note on AUTHORS and THANKS below).
- Legacy scripts for rebuilding package indices removed.

* Mon Sep 19 2005 Martyn Plummer <plummer@iarc.fr> 1:2.2.0-0
- R now compiles with gcc 4.0.1 and default rpm optimization flags.

* Wed Jul 13 2005 Martyn Plummer <plummer@iarc.fr> 1:2.1.1-2
- The files AUTHORS and THANKS need to be installed into _libdir/R
  as they are required by the function contributors().  Previously
  they were installed only as documentation files.

* Tue Jun 21 2005 Martyn Plummer <plummer@iarc.fr>
- Corrected date error in SPEC file.

* Sun Jun 19 2005 Martyn Plummer <plummer@iarc.fr>
- Dropped support for Red Hat boxed set.
- Synchronized with Fedora Extras 4 RPM by Tom Calloway
  including support for shared R library.
- Added gfortran support. However, gcc 4.0.0 will not compile R correctly
  with the default optimization flags, so there is a temporary work-around.

* Wed Jun 15 2005 Gernot Stocker <gernot.stocker@tugraz.at>
- Adaptations for CentOS and Rocks-Linux, tested under Release 4.0

* Sat Apr 30 2005 Joseph P. Skudlarek <Jskud@Jskud.com> 0:2.1.0-0.fdr.3
- Install R-data.info file as well.
- Make info processing conditional on texinfo version, not platform release,
  so that if a new enough version is installed, we will build and install info.

* Mon Apr 18 2005 Martyn Plummer <plummer@iarc.fr> 0:2.1.0-0.fdr.1
- Built R 2.1.0.  R now supports internationalization, so the patch
  to set the locale to "C" is now dropped.
- install.packages() exits gracefully with a helpful message if
  the file INSTALL is not present, so this is now included in the
  R-devel package.

* Mon Mar 14 2005 Martyn Plummer <plummer@iarc.fr> 0:2.0.1-0.fdr.5
- Added support for Scientific Linux (http://www.scientificlinux.org)
  A distribution based on RHEL. Thanks to Jon Peatfield.

* Mon Feb 28 2005 Martyn Plummer <plummer@iarc.fr> 0:2.0.1-0.fdr.4
- Fixed file ownership in R-devel and libRmath packages

* Wed Feb 16 2005 Martyn Plummer <plummer@iarc.fr> 0:2.0.1-0.fdr.3
- R-devel package is now a stub package with no files, except a documentation
  file (RPM won't accept sub-packages with no files). R now conflicts
  with earlier (i.e 0:2.0.1-0.fdr.2) versions of R-devel.
- Created libRmath subpackage with shared library.

* Mon Jan 31 2005 Martyn Plummer <plummer@iarc.fr> 0:2.0.1-0.fdr.2
- Created R-devel and libRmath-devel subpackages

* Mon Nov 15 2004 Martyn Plummer <plummer@iarc.fr> 0:2.0.1-0.fdr.1
- Built R 2.0.1

* Wed Nov 10 2004 Martyn Plummer <plummer@iarc.fr> 0:2.0.0-0.fdr.3
- Set R_PRINTCMD at configure times so that by default getOption(printcmd)
  gives "lpr".
- Define macro fcx for all Fedora distributions. This replaces Rinfo

* Tue Oct 12 2004 Martyn Plummer <plummer@iarc.fr> 0:2.0.0-0.fdr.2
- Info support is now conditional on the macro Rinfo, which is only
  defined for Fedora 1 and 2. 

* Thu Oct 7 2004 Martyn Plummer <plummer@iarc.fr> 0:2.0.0-0.fdr.1
- Built R 2.0.0
- There is no longer a BUGS file, so this is not installed as a
  documentation file.
