%define ver 2.0.1
%define rel 1

Name:           SDL2_mixer
Version:        %{ver}
Release:        %{rel}%{?_dist_release}
Summary:        Simple DirectMedia Layer - Sample Mixer Library

Group:          System Environment/Libraries
License:        zlib
URL:            http://www.libsdl.org/projects/SDL_mixer/
Source0:        http://www.libsdl.org/projects/SDL_mixer/release/%{name}-%{version}.tar.gz

BuildRequires:  SDL2-devel
BuildRequires:  libvorbis-devel
BuildRequires:  flac-devel
BuildRequires:  chrpath
BuildRequires:  libmodplug-devel
BuildRequires:  fluidsynth-devel
BuildRequires:  libmikmod-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
SDL_mixer is a sample multi-channel audio mixer library.
It supports any number of simultaneously playing channels of 16 bit stereo
audio, plus a single channel of music, mixed by the popular FLAC,
MikMod MOD, Timidity MIDI, Ogg Vorbis, and SMPEG MP3 libraries. 

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       SDL2-devel
Requires:       libvorbis-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1
sed -i -e 's/\r//g' README.txt CHANGES.txt COPYING.txt
rm -rf external/

%build
%configure --disable-dependency-tracking \
           --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
%make_build

%install
%make_install install-bin
for i in playmus playwave
do
  chrpath -d %{buildroot}%{_bindir}/${i}
  mv %{buildroot}%{_bindir}/${i} %{buildroot}%{_bindir}/${i}2
done

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING.txt
%doc CHANGES.txt
%{_bindir}/playmus2
%{_bindir}/playwave2
%{_libdir}/lib*.so.*

%files devel
%doc README.txt
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/SDL2/*

%changelog
* Sun Apr 16 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 2.0.1-1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 10 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.1-1
- Update to 2.0.1 (RHBZ #1296752)

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 01 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.0-5
- Fix FTBFS with autoreconf

* Thu May 01 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.0-4
- Add patch for properly include modplug (RHBZ #1093378)

* Wed Nov 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.0-3
- Add some BuildRequires (cicku)
- Delete pkgconfig from -devel subpackage (cicku)
- Removing external folder in prep section (ignatenkobrain)
- Fix license to correct zlib (cicku & ignatenkobrain)

* Mon Nov 18 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.0-2
- Update for review

* Sat Sep  7 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.0-1
- Based on SDL_mixer
