%define ver 2.0.14
%define rel 1

Name:		SDL2_ttf
Version:	%{ver}
Release:	%{rel}%{?_dist_release}
Summary:	TrueType font rendering library for SDL2
License:	zlib
URL:		https://www.libsdl.org/projects/SDL_ttf/
Source0:	%{url}release/%{name}-%{version}.tar.gz
BuildRequires:	SDL2-devel
BuildRequires:  libGL-devel
BuildRequires:	freetype2-devel
BuildRequires:	zlib-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
This library allows you to use TrueType fonts to render text in SDL2
applications.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	SDL2-devel%{?_isa}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup
rm -rf external
# Fix end-of-line encoding
sed -i 's/\r//' README.txt CHANGES.txt COPYING.txt

%build
%configure --disable-dependency-tracking --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.la' -delete -print

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING.txt
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sun Apr 16 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 2.0.14-1
- initial build for Vine Linux

* Tue Jul 12 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.14-2
- add libGL-devel to BRs

* Tue Feb  2 2016 Tom Callaway <spot@fedoraproject.org> - 2.0.14-1
- update to 2.0.14

* Sun Jan 10 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.13-1
- Update to 2.0.13 (RHBZ #1296754)

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 2 2014 Tom Callaway <spot@fedoraproject.org> - 2.0.12-2
- delete external directory to drop bundles
- do not own /usr/include/SDL2
- fix unused-direct-shlib-dependency

* Mon Nov 25 2013 Tom Callaway <spot@fedoraproject.org> - 2.0.12-1
- initial package
