%define major_ver 1.18
%define ver %{major_ver}.0
%define rel 1

Summary:	Dropbox extension for Caja
Summary(ja):	Caja 用 Dropbox 拡張モジュール 
Name:		caja-dropbox
Version:	%{ver}
Release:	%{rel}%{?_dist_release}

Source0:	http://pub.mate-desktop.org/releases/%{major_ver}/%{name}-%{version}.tar.xz

License:	GPLv3 and CC BY-ND 3.0
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

BuildRequires:	glib2-devel
BuildRequires:	caja-devel
BuildRequires:	pygtk2
BuildRequires:	pygobject
BuildRequires:	python-docutils

Requires(post,postun):  gtk2
Requires(post,postun):  desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, iwaim


%description
This is Caja-Dropbox, a fork of Nautilus-Dropbox for MATE Desktop.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static 

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
touch --no-create %{_datadir}/icons/hicolor
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_libdir}/caja/extensions-2.0/libcaja-dropbox.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/caja/extensions/libcaja-dropbox.caja-extension
%{_datadir}/caja-dropbox/emblems/*
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sat Apr  8 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.0-1
- update to 1.18.0

* Sat Nov 26 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.0-1
- new upstream release
- update License

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- initial build

