%define ver 1.0.12
%define rel 1

Summary: a modern and easy-to-use crypto library
Summary(ja): モダンで手軽に使える暗号化ライブラリー
Name: libsodium
Version: %{ver}
Release: %{rel}%{?_dist_release}
Source0: %{name}-%{version}.tar.gz
License: ISC
Group: System Environment/Libraries
URL: https://github.com/jedisct1/libsodium

#BuildRequires: 
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim


%description
Sodium is a new, easy-to-use software library for encryption, decryption,
signatures, password hashing and more.

It is a portable, cross-compilable, installable, packageable fork of NaCl,
with a compatible API, and an extended API to improve usability even further.

Its goal is to provide all of the core operations needed to build
higher-level cryptographic tools.

%package devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
./autogen.sh
%configure --enable-shared --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} -rf ${RPM_BUILD_ROOT}%{_libdir}/libsodium.la


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%check
make check


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc LICENSE AUTHORS ChangeLog THANKS README.*
%{_libdir}/libsodium.so.*

%files devel
%defattr(-,root,root)
%doc LICENSE AUTHORS ChangeLog THANKS README.*
%{_libdir}/pkgconfig/libsodium.pc
%{_libdir}/libsodium.so
%{_includedir}/sodium.h
%{_includedir}/sodium


%changelog
* Mon Jun  5 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.0.12-1
- initial build for Vine Linux
