%define major_ver 1.18
%define ver %{major_ver}.1
%define rel 1

Summary:	Applets for MATE panel
Name:		mate-applets
Version:	%{ver}
Release:	%{rel}%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/%{major_ver}/%{name}-%{version}.tar.xz
License:	GPLv2 and GFDLv1.1
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.17.0
#BuildRequires:	mate-icon-theme
BuildRequires:	mate-panel-devel >= 1.17.0
BuildRequires:	mate-settings-daemon-devel
BuildRequires:	libnotify-devel
BuildRequires:	libmateweather-devel
BuildRequires:	gtk3-devel >= 3.14
BuildRequires:	gtksourceview3-devel
BuildRequires:	pygobject3-devel
BuildRequires:	libSM-devel
BuildRequires:	libwnck3-devel
BuildRequires:	libgtop2-devel
BuildRequires:	dbus-devel
BuildRequires:	polkit-devel
BuildRequires:	NetworkManager-devel
BuildRequires:	upower-devel
BuildRequires:	popt-devel
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, iwaim


%description
MATE (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  MATE is similar in purpose and
scope to CDE and KDE, but MATE is based completely on Open Source
software.  The mate-applets package provides Panel applets which
enhance your MATE experience.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static 

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING* ChangeLog NEWS README
%{_sysconfdir}/dbus-1/system.d/org.mate.CPUFreqSelector.conf
%{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%{_bindir}/mate-cpufreq-selector
%{_bindir}/mate-invest-chart
%{_libexecdir}/mate/accessx-status-applet
%{_libexecdir}/mate/battstat-applet
%{_libexecdir}/mate/command-applet
%{_libexecdir}/mate/invest-applet
%{_libexecdir}/mate/mate-charpick-applet
%{_libexecdir}/mate/mate-cpufreq-applet
%{_libexecdir}/mate/mate-drivemount-applet
%{_libexecdir}/mate/mate-geyes-applet
%{_libexecdir}/mate/mate-multiload-applet
%{_libexecdir}/mate/mate-netspeed-applet
%{_libexecdir}/mate/mateweather-applet
%{_libexecdir}/mate/stickynotes-applet
%{_libexecdir}/mate/timer-applet
%{_libexecdir}/mate/trashapplet
%{python_sitelib}/mate_invest
%{_datadir}/dbus-1/services/*.service
%{_datadir}/dbus-1/system-services/org.mate.CPUFreqSelector.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.battstat.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.charpick.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.command.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.cpufreq.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.geyes.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.multiload.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.netspeed.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.timer.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.stickynotes.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/help/*
%{_datadir}/%{name}
%{_datadir}/mate-panel/applets/*
%{_datadir}/mate/ui/accessx-status-applet-menu.xml
%{_datadir}/mate/ui/battstat-applet-menu.xml
%{_datadir}/mate/ui/charpick-applet-menu.xml
%{_datadir}/mate/ui/cpufreq-applet-menu.xml
%{_datadir}/mate/ui/drivemount-applet-menu.xml
%{_datadir}/mate/ui/geyes-applet-menu.xml
%{_datadir}/mate/ui/mateweather-applet-menu.xml
%{_datadir}/mate/ui/multiload-applet-menu.xml
%{_datadir}/mate/ui/netspeed-menu.xml
%{_datadir}/mate/ui/stickynotes-applet-menu.xml
%{_datadir}/mate/ui/trashapplet-menu.xml
%{_datadir}/pixmaps/mate-accessx-status-applet
%{_datadir}/pixmaps/mate-cpufreq-applet
%{_datadir}/polkit-1/actions/org.mate.cpufreqselector.policy
%{_mandir}/man1/*.1.gz


%changelog
* Sat Apr  8 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.1-1
- update to 1.18.1
- move to GTK3+
- drop BR: mate-icon-theme

* Sun Nov 27 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.0-1
- new upstream release
- drop BuildRequires: mate-doc-utils
- update License
- update Packager

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release

* Tue Dec 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.1-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Sun Jul 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.3-1
- new upstream release

* Sat Jul 11 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.1-1
- new upstream release

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- new upstream release
- add BuildRequires: gtksourceview2-devel, pygobject3-devel

* Wed Nov 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-1
- new upstream release

* Sun Sep 21 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-3
- rebuild with upower-0.99.1

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-2
- rebuild with libgtop2-2.30.0

* Tue Apr 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- change BuildRequires: libwnck-devel instead of libmatewnck-devel
- add BuildRequires: itstool

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-2
- rebuild with VineSeed environment

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release
- remove BuildRequires: mate-conf-devel, libmatenotiry-devel
- add BuildRequires: libnotify-devel

* Thu Aug 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release
- change BuildRequires: libmatewnck-devel instead of libwnck-devel
- add BuildRequires: upower-devel

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.2-1
- new upstream release
- remove Patch0

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

