%define major_ver 1.18
%define ver %{major_ver}.0
%define rel 1

Summary:	Calculator for the Mate desktop environment
Name:		mate-calc
Version:	%{ver}
Release:	%{rel}%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/%{major_ver}/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Applications/Productivity
URL:		http://mate-desktop.org/

# Vine
Patch1001:		mate-calc-1.18.0-ja.po.patch

BuildRequires:	mate-common
BuildRequires:	gtk3-devel
BuildRequires:	libxml2-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, iwaim


%description
This is v5.32.0 of mate-calc, the calculator application that was previously
in the OpenWindows Deskset of the Solaris 8 operating system.
Sun Microsystems Inc. have kindly given me permission to release it.

It incorporates a multiple precision arithmetic packages based on the work
of Professor Richard Brent, who has also kindly given me permission to make
it available.

There is a single graphics driver for Gtk2 included with this release.


%prep
%setup -q
%patch1001 -p1 -b .vine


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-cmd
%{_bindir}/mate-calculator
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.mate.calc.gschema.xml
%{_datadir}/appdata/mate-calc.appdata.xml
%{_datadir}/%{name}
%{_datadir}/help/*
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}-cmd.1.gz


%changelog
* Sat Apr  8 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.0-1
- update 1.18.0
- move to GTK3+
- update ja.po patch (Patch1001)
- update Packager
- drop BR: mate-doc-utils
- add appdata file

* Sun Jun 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-2
- add Patch1001 (mate-calc-1.8.0-ja.po.patch)

* Tue Apr 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- add BuildRequires: itstool

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-2
- rebuild with VineSeed environment

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release
- remove BuildRequires: mate-conf-devel

* Thu Aug 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

