%define major_ver 1.18
%define ver %{major_ver}.0
%define rel 1

Summary:	Notification daemon for MATE
Name:		mate-notification-daemon
Version:	%{ver}
Release:	%{rel}%{?_dist_release}

Source0:	http://pub.mate-desktop.org/releases/%{major_ver}/%{name}-%{version}.tar.xz

# vine theme (based on coco) and vine5 theme (old theme)
# http://github.com/tatofoo/notification-daemon-engine-coco
Source200: mate-notification-daemon-engine-vine.tar.xz

# Vine patch
# add vine and vine5 theme
Patch1001: mate-notification-daemon-1.8.0-vine-theme.patch
# change default to vine
Patch1002: mate-notification-daemon-1.12.0-default-theme.patch

License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	gtk3-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libwnck3-devel
BuildRequires:	libnotify-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	gtk3
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, iwaim


%description
%{summary}


%prep
%setup -q
#%setup -q -a 200
#%patch1001 -p1
#%patch1002 -p1

%build
#autoreconf -if
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
  touch --no-create %{_datadir}/icons/hicolor
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/mate-notification-properties
%{_libdir}/mate-notification-daemon/engines/libcoco.so
%{_libdir}/mate-notification-daemon/engines/libnodoka.so
%{_libdir}/mate-notification-daemon/engines/libslider.so
%{_libdir}/mate-notification-daemon/engines/libstandard.so
#%{_libdir}/mate-notification-daemon/engines/libvine.so
#%{_libdir}/mate-notification-daemon/engines/libvine5.so
%{_libexecdir}/mate/mate-notification-daemon
%{_datadir}/applications/mate-notification-properties.desktop
%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service
%{_datadir}/glib-2.0/schemas/org.mate.NotificationDaemon.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mate-notification-daemon/mate-notification-properties.ui
%{_mandir}/man1/mate-notification-properties.1.gz


%changelog
* Mon Apr  3 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.0-1
- update to 1.18.0

* Tue Jan 31 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.1-1
- update to 1.16.1
- drop fix-bold patch (Patch0): upstream merged

* Sun Nov 27 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.0-1
- new upstream release
- add fix-bold patch (Patch0)
- update GTK+ version
 - BR: gtk3-devel, libwnck3-devel and libcanberra-gtk3-devel
- drop BuildRequires: libsexy-devel
- update Packager
- stop applying Vine Linux themes

* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.1-1
- new upstream release

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release

* Tue Dec 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.1-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release
- update Patch1002 (mate-notification-daemon-1.12.0-default-theme.patch)

* Fri Oct 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-1
- new upstream release

* Sun Aug 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.1-1
- new upstream release

* Sun Jun 14 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- new upstream release

* Sun Mar 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.2-1
- new upstream release

* Wed Nov 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-1
- new upstream release

* Sun Jun 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-2
- remove Patch0 (mate-notification-daemon-1.2.0-makefile.patch)
- add Source200 (mate-notification-daemon-engine-vine.tar.xz)
- add Patch1001 (mate-notification-daemon-1.8.0-vine-theme.patch)
- add Patch1002 (mate-notification-daemon-1.8.0-default-theme.patch)
- add BuildRequires: libsexy-devel

* Mon Apr 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- change BuildRequires: libwnck-devel instead of libmatewnck-devel

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-2
- rebuild with VineSeed environment

* Sun Nov 10 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release
- remove BuildRequires: mate-conf-devel, libmatenotify-devel
- add BuildRequires: libnotify-devel

* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release
- change BuildRequires: libmatewnck-devel instead of libwnck-devel

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release
- add Patch0 (mate-notification-daemon-1.2.0-makefile.patch)

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

