%define pkg_name    xmonad-contrib
%define pkg_version 0.12
%define pkg_release 6%{?_dist_release}

%define ghc_version 8.0.1
# to fix wrong dependencies in cabal files
# do not use '-'
%define oldtime_version 1.1.0.3

Summary:     Third party extensions for xmonad
Summary(ja): サードパーティーによるxmonad拡張
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD3
Group:   User Interface/Desktops
URL:     http://hackage.haskell.org

Source0: %{name}-%{version}.tar.gz
Source1: packages

# num=11; for pkg in `cat packages`; do echo "Source${num}: ${pkg}.tar.gz"; num=`expr ${num} + 1`; done
Source11: X11-xft-0.3.1.tar.gz
Source12: old-time-1.1.0.3.tar.gz

# to fix wrong dependencies in cabal files
Source101: old-time.cabal



BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: ghc haskell-platform
BuildRequires: xmonad

BuildRequires: libffi-devel gmp-devel zlib-devel
BuildRequires: xorg-x11-devel
BuildRequires: docbook-utils docbook-utils-pdf docbook-style-xsl

Requires: xmonad

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t

%description
Third party tiling algorithms, configurations and scripts to xmonad,
 a tiling window manager for X.

%description -l ja
サードパーティーによるxmonad拡張であり、
タイル化のためのアルゴリズム、設定およびスクリプトを含みます。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__rm} -rf %{_builddir}/package.conf
%{__rm} -rf ${HOME}/.ghc
%setup -q

# Initialise the package db
ghc-pkg init %{_builddir}/package.conf

%build
PKG_CONF_DIR=${RPM_BUILD_ROOT}%{_libdir}/ghc-%{ghc_version}/package.conf.d
%{__mkdir_p} ${PKG_CONF_DIR}

# install dependent packages
cd %{_builddir}
for pkg in `cat %{SOURCE1}`; do
  %{__tar} xzf %{_sourcedir}/${pkg}.tar.gz
  cd ${pkg}
  # fix wrong dependencies
  case ${pkg} in
      "old-time-%{oldtime_version}") %{__cp} %{SOURCE101} . ;;
      *) ;;
  esac

  cabal configure \
        --prefix=%{_prefix} \
        --libdir=%{_libdir}/ghc-lib/%{name}/${pkg} \
        --libsubdir= \
        --datadir=%{_datadir}/%{name}/${pkg} \
        --datasubdir= \
        --docdir=%{_docdir}/%{name}/${pkg}

  cabal build
  cabal haddock
  cabal copy --destdir=${RPM_BUILD_ROOT}
  cabal register --inplace
  cabal register --gen-pkg-config=${PKG_CONF_DIR}/%{name}_${pkg}.conf
  cd ..
done

# build xmonad-contrib
cd %{_builddir}/%{name}-%{version}
cabal configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}/ghc-lib/%{name}/%{name}-%{version} \
    --libsubdir= \
    --datadir=%{_datadir}/%{name}/%{name}-%{version} \
    --datasubdir= \
    --docdir=%{_docdir}/%{name}/%{name}-%{version}

cabal build
cabal haddock
cabal copy --destdir=${RPM_BUILD_ROOT}
cabal register --inplace
cabal register --gen-pkg-config=${PKG_CONF_DIR}/%{name}-%{version}.conf

%install
%{__cp} CHANGES.md LICENSE README.md \
 ${RPM_BUILD_ROOT}%{_docdir}/%{name}/%{name}-%{version}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
ghc-pkg recache

%postun
ghc-pkg recache


%files
%defattr(-, root, root)
%{_libdir}/ghc-%{ghc_version}/
%{_libdir}/ghc-lib/
%{_docdir}/%{name}/


%changelog
* Fri Feb 03 2017 Toshiaki Ara <ara_t@384.jp> 0.12-6
- rebuild using ghc-8.0.1

* Wed May 04 2016 Toshiaki Ara <ara_t@384.jp> 0.12-5
- rebuilt

* Tue Apr 12 2016 Toshiaki Ara <ara_t@384.jp> 0.12-4
- rebuild under xmonad-0.12-3
- correct SPEC file

* Tue Mar 01 2016 Toshiaki Ara <ara_t@384.jp> 0.12-3
- rebuild under xmonad-0.12-2

* Sat Feb 27 2016 Toshiaki Ara <ara_t@384.jp> 0.12-2
- recompile

* Sat Feb 27 2016 Toshiaki Ara <ara_t@384.jp> 0.12-1
- new package
